
// SampleDlg.h : 헤더 파일
//

#pragma once

#define CONVERTINT(h)		((h>'9') ? 10 + (h-'A') : (h-'0'))


// CSampleDlg 대화 상자
class CSampleDlg : public CDialog
{
// 생성입니다.
public:
	CSampleDlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_SAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.


// 구현입니다.
protected:
	HICON m_hIcon;

	// 생성된 메시지 맵 함수
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	CString m_strPort;
	CString m_strScrCommand;

public:
	afx_msg void OnBnClickedButtonBarcode2();
	afx_msg void OnBnClickedBtnOpenport();
	afx_msg void OnBnClickedBtnCloseport();
	afx_msg void OnBnClickedBtnFeed();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedBtnBitmap();
	afx_msg void OnBnClickedBtn1dbarcode();
	afx_msg void OnBnClickedBtnPrinttext();
	afx_msg void OnBnClickedBtnSample();
	afx_msg void OnBnClickedBtn2dbarcode();
	afx_msg void OnBnClickedButtonDirectio();
	afx_msg void OnBnClickedBtnStatus();
	afx_msg void OnBnClickedBtnProperty();
	afx_msg void OnBnClickedBtnLabel();
	afx_msg void OnBnClickedBtnReceipt();
	afx_msg void OnBnClickedBtnAutocalibration();
	afx_msg void OnBnClickedBtnPage();
	afx_msg void OnBnClickedBtnPsample();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedBtnSmartcard();
	afx_msg void OnBnClickedBtnSam1();
	afx_msg void OnBnClickedBtnSam2();
	afx_msg void OnBnClickedBtnScrDriectIo();

	DWORD ConvertHexaToInteger(LPBYTE szHexa, int nSize, LPBYTE szIntr);
};
